<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Grid CSS</title>
    <style>
        body, html {
            margin: 0;
            height: 100%;
        }
        .super-header,
        .super-nav,
        .super-content,
        .super-footer,
        .super-advert{
            padding: 10px;
            background-color: gold;
            border: 1px #1d1d1d solid;
        }
        .container {
            display: grid;
            grid-template-areas:
                "nav header advert"
                "nav content advert"
                "nav footer advert";
            grid-gap: 10px;
            height: 100%;
            grid-template-rows: 60px 1fr 60px;
            grid-template-columns: 20% 1fr 20%;
        }
        .super-header {
            grid-area: header;
        }
        .super-content {
            grid-area: content;
        }
        .super-footer{
            grid-area: footer;
        }
        .super-advert {
            grid-area: advert;
        }
    </style>
</head>
<body>
<div class="container">
    <header class="super-header"> HEEaaDDeeRRR!!</header>

    <nav class="super-nav">nav</nav>

    <main class="super-content">main</main>

    <nav class="super-advert">advertisement</nav>

    <footer class="super-footer">footer</footer>
</div>
</body>
</html>